GNU bug report logs - #60995
[PATCH] gnu: Add obs-vkcapture.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ott <oj@HIDDEN>; Keywords: patch; Done: Andrew Tropin <andrew@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 60995 <at> debbugs.gnu.org and Ott <oj@HIDDEN> Request was from Andrew Tropin <andrew@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 60995 <at> debbugs.gnu.org:


Received: (at 60995) by debbugs.gnu.org; 1 Feb 2023 08:56:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 03:56:18 2023
Received: from localhost ([127.0.0.1]:56407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pN8ug-0002la-IE
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:56:18 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:44691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrew@HIDDEN>) id 1pN8ua-0002lD-77
 for 60995 <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:56:17 -0500
Received: (Authenticated sender: andrew@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id D946EE000A;
 Wed,  1 Feb 2023 08:55:56 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=trop.in; s=gm1;
 t=1675241759;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=AmIwiEm4xfEO4RW4pff83AXkP3vm8pbgD3lb8MrYhOQ=;
 b=NQVY8hMQ0tlKwq9tnrPz3Q+CjrOYNj++fOut+3DuxsUewUuphfHIfwCLPwi22nsfS1/YvT
 CvD51sE4pHNJZ63RVeJ1HeKQoEV1+Lu/m2KUfrkkeOuoHblpKqqrwWynru3WWW9dnGhc9U
 7X/7jwtp6wDkYZOZCsX9Dnw/KVl6copOGOGolcJ6XMOPoDNdnqZdLC/sEfg1C0EPsMrp1c
 sc405c4yw+KNNLiyroeeRNo4eFzJ3o3ju8DEJDtES+2/vBb4exWIxpUCRZWs1NvbR37WwH
 aT7cVVxv1Ls85W98Wr7mzgR2s+7b0l8aBRZgvCA9AwzKpKI6aMXYiVCX1K+/Lw==
From: Andrew Tropin <andrew@HIDDEN>
To: Ott via Guix-patches via <guix-patches@HIDDEN>, 60995 <at> debbugs.gnu.org
Subject: Re: [bug#60995] [PATCH v3 1/1] gnu: Add obs-vkcapture.
In-Reply-To: <f3a38c28c2d8fc655998a029306f4dbd5646e582.1674340347.git.oj@HIDDEN>
References: <cover.1674340347.git.oj@HIDDEN>
 <f3a38c28c2d8fc655998a029306f4dbd5646e582.1674340347.git.oj@HIDDEN>
Date: Wed, 01 Feb 2023 12:55:52 +0400
Message-ID: <874js5vk6f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60995
Cc: Ott Joon <oj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2023-01-22 00:33, Ott via Guix-patches via wrote:

> From: Ott Joon <oj@HIDDEN>
>
> * gnu/packages/video.scm (obs-vkcapture): New variable.
>
> gnu: Add obs-vkcapture
>
> * gnu/packages/video.scm (obs-vkcapture): New variable.
> ---
>  gnu/packages/video.scm | 32 ++++++++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
>
> diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
> index 60d39c38dc..62fea0d341 100644
> --- a/gnu/packages/video.scm
> +++ b/gnu/packages/video.scm
> @@ -63,6 +63,7 @@
>  ;;; Copyright =C2=A9 2022 Jai Vetrivelan <jaivetrivelan@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Chadwain Holness <chadwainholness@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Andy Tai <atai@HIDDEN>
> +;;; Copyright =C2=A9 2023 Ott Joon <oj@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -3571,6 +3572,37 @@ (define-public obs-wlrobs
>  Wayland compositors.")
>      (license license:gpl3+)))
>=20=20
> +(define-public obs-vkcapture
> +  (package
> +    (name "obs-vkcapture")
> +    (version "1.3.0")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/nowrep/obs-vkcapture")
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "18v15bfzm31qkpwipvbqgzak4z6f2hhq6mnz2bvhwnv57whirln6"))))
> +    (build-system cmake-build-system)
> +    (arguments '(#:tests? #f))
> +    (native-inputs (list pkg-config))
> +    (inputs (list mesa
> +                  obs
> +                  libx11
> +                  libxcb
> +                  vulkan-headers
> +                  vulkan-loader
> +                  wayland))
> +    (home-page "https://github.com/nowrep/obs-vkcapture")
> +    (synopsis "OBS plugin for Vulkan/OpenGL game capture on Linux")
> +    (description "This OBS plugin lets you record an OpenGL or Vulkan
> +game by adding the Game Capture source to your scene and starting an
> +application with @code{obs-gamecapture}.")
> +    (license license:gpl2)))
> +
>  (define-public libvdpau
>    (package
>      (name "libvdpau")

Thank you for the patch!  I applied guix style to obs-vkcapture, added a
comment about tests and pushed as
14323edcc37d9efaae2491cf5f57ea0621412d7e.

=2D-=20
Best regards,
Andrew Tropin

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEKEGaxlA4dEDH6S/6IgjSCVjB3rAFAmPaKRgACgkQIgjSCVjB
3rCUFQ/+J56U7UewfWek24BtR6lBqk8mhIbXWRcWiKJMTHBqmvQiH4BdgpZuO851
5A+HYCdHb2QjiA0DiESI7+Wqbhv3/Kaprwbk39PNN0dfm8XuUrXHlv9HjiJG5KBm
bS+qkJLp4lA5oWYRig1f4zcwhP9keqT2+xmg+yseNWRdcrUjIwac0iCVIMymRbe1
KkuZXkirhgvsrfE8WnDkuvD4KAbwFdkBNzBIbAOddDGpbt+4GDc426HgdsHBPp2x
7MUjaA5YPOZyXhNg/GBGyKnoV8TMaZl9dn8+w4P4hWZCeP7EwnGRkS4lBR2XB3Of
Xxc+FKQ4tnC+6Zs3d9HNc6PG48BH1f1J65N8PXL4OX85xYgD1VnGbs2KIs64bUZm
VuyWMC5eHSQ+VJvaBcrnVZewxrO3Shi6msawEBWjtcGCXJ0YEAwZz1wo5b+RUMfE
kYaNS4wKHQkhgGH4KOdfDHvIHfB4GWD8iVy56kOiIllHx1/zDuRuOQuViuw7dbDF
X/ysae8Y376uZv9eNzVYOwcjy4dJFfPJlvals0JWopBKMWH1UL+ERd9baflQbHD1
w7OFXV3Hap0yEbGeni3XCbOdcUNSac/U2vIJBm456VXqpyW0llIZaMsX8CIAdkev
cRoinY/v2qNMf6lkZt6ynZ5qhGfEnwX/gbTEMJquDUAo3blboEA=
=y1Ow
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60995; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2023 08:56:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 03:56:42 2023
Received: from localhost ([127.0.0.1]:56410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pN8v3-0002mH-VH
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:56:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:57678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrew@HIDDEN>) id 1pN8v2-0002m9-1q
 for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:56:40 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andrew@HIDDEN>) id 1pN8v1-0003N8-IR
 for guix-patches@HIDDEN; Wed, 01 Feb 2023 03:56:39 -0500
Received: from relay4-d.mail.gandi.net ([2001:4b98:dc4:8::224])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andrew@HIDDEN>) id 1pN8up-0006G6-SV
 for guix-patches@HIDDEN; Wed, 01 Feb 2023 03:56:39 -0500
Received: (Authenticated sender: andrew@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id D946EE000A;
 Wed,  1 Feb 2023 08:55:56 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=trop.in; s=gm1;
 t=1675241759;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=AmIwiEm4xfEO4RW4pff83AXkP3vm8pbgD3lb8MrYhOQ=;
 b=NQVY8hMQ0tlKwq9tnrPz3Q+CjrOYNj++fOut+3DuxsUewUuphfHIfwCLPwi22nsfS1/YvT
 CvD51sE4pHNJZ63RVeJ1HeKQoEV1+Lu/m2KUfrkkeOuoHblpKqqrwWynru3WWW9dnGhc9U
 7X/7jwtp6wDkYZOZCsX9Dnw/KVl6copOGOGolcJ6XMOPoDNdnqZdLC/sEfg1C0EPsMrp1c
 sc405c4yw+KNNLiyroeeRNo4eFzJ3o3ju8DEJDtES+2/vBb4exWIxpUCRZWs1NvbR37WwH
 aT7cVVxv1Ls85W98Wr7mzgR2s+7b0l8aBRZgvCA9AwzKpKI6aMXYiVCX1K+/Lw==
From: Andrew Tropin <andrew@HIDDEN>
To: Ott via Guix-patches via <guix-patches@HIDDEN>, 60995 <at> debbugs.gnu.org
Subject: Re: [bug#60995] [PATCH v3 1/1] gnu: Add obs-vkcapture.
In-Reply-To: <f3a38c28c2d8fc655998a029306f4dbd5646e582.1674340347.git.oj@HIDDEN>
References: <cover.1674340347.git.oj@HIDDEN>
 <f3a38c28c2d8fc655998a029306f4dbd5646e582.1674340347.git.oj@HIDDEN>
Date: Wed, 01 Feb 2023 12:55:52 +0400
Message-ID: <874js5vk6f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2001:4b98:dc4:8::224; envelope-from=andrew@HIDDEN;
 helo=relay4-d.mail.gandi.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: Ott Joon <oj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2023-01-22 00:33, Ott via Guix-patches via wrote:

> From: Ott Joon <oj@HIDDEN>
>
> * gnu/packages/video.scm (obs-vkcapture): New variable.
>
> gnu: Add obs-vkcapture
>
> * gnu/packages/video.scm (obs-vkcapture): New variable.
> ---
>  gnu/packages/video.scm | 32 ++++++++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
>
> diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
> index 60d39c38dc..62fea0d341 100644
> --- a/gnu/packages/video.scm
> +++ b/gnu/packages/video.scm
> @@ -63,6 +63,7 @@
>  ;;; Copyright =C2=A9 2022 Jai Vetrivelan <jaivetrivelan@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Chadwain Holness <chadwainholness@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Andy Tai <atai@HIDDEN>
> +;;; Copyright =C2=A9 2023 Ott Joon <oj@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -3571,6 +3572,37 @@ (define-public obs-wlrobs
>  Wayland compositors.")
>      (license license:gpl3+)))
>=20=20
> +(define-public obs-vkcapture
> +  (package
> +    (name "obs-vkcapture")
> +    (version "1.3.0")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/nowrep/obs-vkcapture")
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "18v15bfzm31qkpwipvbqgzak4z6f2hhq6mnz2bvhwnv57whirln6"))))
> +    (build-system cmake-build-system)
> +    (arguments '(#:tests? #f))
> +    (native-inputs (list pkg-config))
> +    (inputs (list mesa
> +                  obs
> +                  libx11
> +                  libxcb
> +                  vulkan-headers
> +                  vulkan-loader
> +                  wayland))
> +    (home-page "https://github.com/nowrep/obs-vkcapture")
> +    (synopsis "OBS plugin for Vulkan/OpenGL game capture on Linux")
> +    (description "This OBS plugin lets you record an OpenGL or Vulkan
> +game by adding the Game Capture source to your scene and starting an
> +application with @code{obs-gamecapture}.")
> +    (license license:gpl2)))
> +
>  (define-public libvdpau
>    (package
>      (name "libvdpau")

Thank you for the patch!  I applied guix style to obs-vkcapture, added a
comment about tests and pushed as
14323edcc37d9efaae2491cf5f57ea0621412d7e.

=2D-=20
Best regards,
Andrew Tropin

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEKEGaxlA4dEDH6S/6IgjSCVjB3rAFAmPaKRgACgkQIgjSCVjB
3rCUFQ/+J56U7UewfWek24BtR6lBqk8mhIbXWRcWiKJMTHBqmvQiH4BdgpZuO851
5A+HYCdHb2QjiA0DiESI7+Wqbhv3/Kaprwbk39PNN0dfm8XuUrXHlv9HjiJG5KBm
bS+qkJLp4lA5oWYRig1f4zcwhP9keqT2+xmg+yseNWRdcrUjIwac0iCVIMymRbe1
KkuZXkirhgvsrfE8WnDkuvD4KAbwFdkBNzBIbAOddDGpbt+4GDc426HgdsHBPp2x
7MUjaA5YPOZyXhNg/GBGyKnoV8TMaZl9dn8+w4P4hWZCeP7EwnGRkS4lBR2XB3Of
Xxc+FKQ4tnC+6Zs3d9HNc6PG48BH1f1J65N8PXL4OX85xYgD1VnGbs2KIs64bUZm
VuyWMC5eHSQ+VJvaBcrnVZewxrO3Shi6msawEBWjtcGCXJ0YEAwZz1wo5b+RUMfE
kYaNS4wKHQkhgGH4KOdfDHvIHfB4GWD8iVy56kOiIllHx1/zDuRuOQuViuw7dbDF
X/ysae8Y376uZv9eNzVYOwcjy4dJFfPJlvals0JWopBKMWH1UL+ERd9baflQbHD1
w7OFXV3Hap0yEbGeni3XCbOdcUNSac/U2vIJBm456VXqpyW0llIZaMsX8CIAdkev
cRoinY/v2qNMf6lkZt6ynZ5qhGfEnwX/gbTEMJquDUAo3blboEA=
=y1Ow
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60995; Package guix-patches. Full text available.

Message received at 60995 <at> debbugs.gnu.org:


Received: (at 60995) by debbugs.gnu.org; 21 Jan 2023 22:33:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 17:33:46 2023
Received: from localhost ([127.0.0.1]:50041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJMQj-0005pS-VE
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 17:33:46 -0500
Received: from mail.vern.cc ([5.161.108.85]:60102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oj@HIDDEN>) id 1pJMQi-0005pF-CL
 for 60995 <at> debbugs.gnu.org; Sat, 21 Jan 2023 17:33:44 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.vern.cc (Postfix) with ESMTP id 28135A0618;
 Sat, 21 Jan 2023 22:33:39 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=vern.cc; s=modoboa;
 t=1674340419; bh=2X3yD8/lnnMRIb6v0HZqdz2KnMsKTv8xOp6HrwYKHZw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=ERYjfC2HzC25I1YHnB+RFLkbWMMZRJNdnjEvwYa3guMFQOF0AgoaXZuw86iNmiuGb
 icVcn3eres2hnykU4sIlYhrFETxJ01a3lusO9gmN0z0If6YnDPslyYFhDr4VEKnyJU
 9aJWYo38s3UFT1eBtyEPYeoy4PzJcfXj4vaZRwo3StoilNU/oI2NJf3pcE97SHTgbl
 94yuU03CyJQZWGw5X8OGm+Xp59uBiWQcTYl0hUv94FbkwCju/Nzc4qNLT0YQxjiIKW
 99QQW5iDZ6uIOQ2JIfwk0bhmB9uImm6AEm7pK1ExAU+QLWabVFAZagp/ndHz9ipA41
 JLsnh7LKLHVb8ie0IORUkVUfvp0HhTpsx/1mFjdQUZTUAdEzh9ExubYl4bgAn6sls9
 HGlefJ7kG3CDnMxL+2UFI5e59Ix2lYTTHhQyk6TRVYE+uPnd3jQqmo2Ni6jxV4hei/
 5eNdoWj7NtVjTRZ13abZumIucUx0wNQO/Tw2vOo0SYYLrGiYUwxu0VnXaH0UGm4J61
 vNL6MrDOSdZq4dy/UVsTYQgM5tgN87t7spP41bmzcy8/9ppKxDSgXYocIqY2BuP7m3
 jsZG8+hkBD1y+NpiIWp7uGqt7BagI1L3idNNGh/PeY+63ep2Gw5XvAH6WXS0hJDXO0
 019Z9xcG/WUEMuPmWVoGQGPE=
X-Virus-Scanned: Debian amavisd-new at mail.vern.cc
Received: from mail.vern.cc ([127.0.0.1])
 by localhost (mail.vern.cc [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id rp-h4Q8TDtPL; Sat, 21 Jan 2023 22:33:36 +0000 (UTC)
Received: from localhost.localdomain (unknown [10.7.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: oj@HIDDEN)
 by mail.vern.cc (Postfix) with ESMTPSA;
 Sat, 21 Jan 2023 22:33:35 +0000 (UTC)
From: Ott <oj@HIDDEN>
To: 60995 <at> debbugs.gnu.org
Subject: [PATCH v3 1/1] gnu: Add obs-vkcapture.
Date: Sun, 22 Jan 2023 00:33:13 +0200
Message-Id: <f3a38c28c2d8fc655998a029306f4dbd5646e582.1674340347.git.oj@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <cover.1674340347.git.oj@HIDDEN>
References: <cover.1674340347.git.oj@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60995
Cc: Ott Joon <oj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Ott Joon <oj@HIDDEN>

* gnu/packages/video.scm (obs-vkcapture): New variable.

gnu: Add obs-vkcapture

* gnu/packages/video.scm (obs-vkcapture): New variable.
---
 gnu/packages/video.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index 60d39c38dc..62fea0d341 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -63,6 +63,7 @@
 ;;; Copyright © 2022 Jai Vetrivelan <jaivetrivelan@HIDDEN>
 ;;; Copyright © 2022 Chadwain Holness <chadwainholness@HIDDEN>
 ;;; Copyright © 2022 Andy Tai <atai@HIDDEN>
+;;; Copyright © 2023 Ott Joon <oj@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -3571,6 +3572,37 @@ (define-public obs-wlrobs
 Wayland compositors.")
     (license license:gpl3+)))
 
+(define-public obs-vkcapture
+  (package
+    (name "obs-vkcapture")
+    (version "1.3.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/nowrep/obs-vkcapture")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "18v15bfzm31qkpwipvbqgzak4z6f2hhq6mnz2bvhwnv57whirln6"))))
+    (build-system cmake-build-system)
+    (arguments '(#:tests? #f))
+    (native-inputs (list pkg-config))
+    (inputs (list mesa
+                  obs
+                  libx11
+                  libxcb
+                  vulkan-headers
+                  vulkan-loader
+                  wayland))
+    (home-page "https://github.com/nowrep/obs-vkcapture")
+    (synopsis "OBS plugin for Vulkan/OpenGL game capture on Linux")
+    (description "This OBS plugin lets you record an OpenGL or Vulkan
+game by adding the Game Capture source to your scene and starting an
+application with @code{obs-gamecapture}.")
+    (license license:gpl2)))
+
 (define-public libvdpau
   (package
     (name "libvdpau")
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60995; Package guix-patches. Full text available.

Message received at 60995 <at> debbugs.gnu.org:


Received: (at 60995) by debbugs.gnu.org; 21 Jan 2023 22:33:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 17:33:38 2023
Received: from localhost ([127.0.0.1]:50037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJMQc-0005p7-Md
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 17:33:38 -0500
Received: from mail.vern.cc ([5.161.108.85]:38726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oj@HIDDEN>) id 1pJMQa-0005ot-Ed
 for 60995 <at> debbugs.gnu.org; Sat, 21 Jan 2023 17:33:36 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.vern.cc (Postfix) with ESMTP id B8C4DA0604;
 Sat, 21 Jan 2023 22:33:30 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=vern.cc; s=modoboa;
 t=1674340410; bh=OGf6/aJcWyXZdFwif05XKlno3QeqM5TfhnIRcVe0tvs=;
 h=From:To:Cc:Subject:Date:From;
 b=EVxogsIpGNvfwxK9i6yXhwgQyJ0tt21ZvSyy+2E3dYjKAFcxsXlrHCmKfSvd3isyq
 pDpDl0fIjWbIqCqSFLUEeF1wfp7Jk98j298pRAodxTOotSeLy29kpaBWJZ2We6JYRY
 iTLA9k1zFMFzdDYjZA/XKUQmBmjpQIqgT8TEjFrfSZr9i5UH6btgHkff0uSkXjjogR
 qOWgX4nxcz7b573MSAxYK04rouY2OKPuzY74e5cZ4CzvauGLblAOr2v2xte/SGTlV4
 14ftqzGYRy8OS1vCv0Y95VT8PpQjz5EjZms9rAJbNgSX1FRkzmYgLGr0VmztVYWCOq
 zXMuVsB2kFPK/H1TwwqGgZ5bGwhR93OGIPCKygSpgT8JVYnyp+1wdQbbUOKdShF6wP
 RshpzckF3VeNHd3zThibRObR0WmtCrmjrNHxLkQ6RtanNRpnUMzRdH59cyuyoSkZ+Q
 P6goZYlPLzskI3/MoqGWM1LpF8eDfL6yGwUj+Hyz4i7/CSr1ruhStdLwhWeXZMJsdh
 8Ocj9rutRcKTyGQf3oT00O/OzEv6QaztNdplAMyy3NPbkWPZUXHkdSv02HA4ShSWKl
 zqChedrY1yvTNzIFeysadAznHbO/jL5esJHcfqSh+h5F3qjhgEqBC21Vus/cp8N/hm
 ThGyNsMIJ7s4XwBoxJ+KbPrc=
X-Virus-Scanned: Debian amavisd-new at mail.vern.cc
Received: from mail.vern.cc ([127.0.0.1])
 by localhost (mail.vern.cc [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id jayEg77x8Ep2; Sat, 21 Jan 2023 22:33:27 +0000 (UTC)
Received: from localhost.localdomain (unknown [10.7.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: oj@HIDDEN)
 by mail.vern.cc (Postfix) with ESMTPSA;
 Sat, 21 Jan 2023 22:33:27 +0000 (UTC)
From: Ott <oj@HIDDEN>
To: 60995 <at> debbugs.gnu.org
Subject: [PATCH v3 0/1] Thanks for the help
Date: Sun, 22 Jan 2023 00:33:12 +0200
Message-Id: <cover.1674340347.git.oj@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60995
Cc: Ott <oj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias

Thanks for the help. Not used to send-mail.

Ott Joon (1):
  gnu: Add obs-vkcapture.

 gnu/packages/video.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)


base-commit: 2491a60404b69da20c2b4fd952e5d5e326374d1d
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60995; Package guix-patches. Full text available.

Message received at 60995 <at> debbugs.gnu.org:


Received: (at 60995) by debbugs.gnu.org; 21 Jan 2023 21:39:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 16:39:06 2023
Received: from localhost ([127.0.0.1]:49985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJLZq-0004UF-EA
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 16:39:06 -0500
Received: from mail.vern.cc ([5.161.108.85]:39424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oj@HIDDEN>) id 1pJLZo-0004Ti-MV
 for 60995 <at> debbugs.gnu.org; Sat, 21 Jan 2023 16:39:05 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.vern.cc (Postfix) with ESMTP id 34041A066C;
 Sat, 21 Jan 2023 21:38:58 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=vern.cc; s=modoboa;
 t=1674337138; bh=Oo7q7XHP1vhaijHHJCn5u3Yw+DYcsxfXOU1a2aBsMyU=;
 h=From:To:Cc:Subject:Date:From;
 b=YPAIG5VtO80OsOi1QBr3EEx3DMaXSrM1QOCMG50OAq2TPvFQyTvJwPhRootApTqFr
 F8NUhRvv+mvfnDrooC3M3m+mg+BMMxgh43rVYmRrwOiD3NyyxH3odGh/3xI29v3tOo
 a2e7dFQTfv6S0t8CB3ncDDAUv1gJRyDsVDElS6mGj5T1T4peliJKYxbSkmkNH8Y1kE
 4roUCO8JNv6GPDsmWftSNv/zo4oey6+jB+xSZy6XbNNkuziywO0xftaAd4RbWtFfdu
 YTpvxqIzfXaFAgVj5seuvVHTfNqdS3sxm3f9qTPq6uAFNkh3yrJpMQr89pcvWgvaQS
 NMJa25BriY83nmXPShA6alNVFJMwunzDcy2j2IDFqpGxdIqAArjjxDB7RMqSuZgrEZ
 Bn8xjasi1xf1ehAjxHW8BVOQmX/8AF1ylFTwm6T66FpfRru2EblONcRydrc1QwW87t
 HrX/2+ZWC1FsW1ngi60k3haTWgZQ3pGsJLKAvztK1a7J6od5aPNTPgtygSC96UHBd0
 NefZEENiD551iUPdV1xiXLNPc5xEkRTW8fdikHNSc8aZxqIaVb1lMfe++I8nkbc08N
 IzffPj2sPZzIut8DX+W4YD6ZmIq42oaSbUQ2OqVohItbJttNkk9e0/JPoDXqWF6lQP
 X2HXpXHsemB5y2+R33WhO1lU=
X-Virus-Scanned: Debian amavisd-new at mail.vern.cc
Received: from mail.vern.cc ([127.0.0.1])
 by localhost (mail.vern.cc [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id eF2ReosgZCS1; Sat, 21 Jan 2023 21:38:55 +0000 (UTC)
Received: from localhost.localdomain (unknown [10.7.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: oj@HIDDEN)
 by mail.vern.cc (Postfix) with ESMTPSA;
 Sat, 21 Jan 2023 21:38:55 +0000 (UTC)
From: Ott <oj@HIDDEN>
To: 60995 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: Add obs-vkcapture
Date: Sat, 21 Jan 2023 23:38:33 +0200
Message-Id: <239ca90eec71b67bc1dd4e558aa17c203692de2a.1674337113.git.oj@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60995
Cc: Ott <oj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/video.scm (obs-vkcapture): New variable.
---
 gnu/packages/video.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index 76b7af0b8d..62fea0d341 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -3596,7 +3596,7 @@ (define-public obs-vkcapture
                   vulkan-headers
                   vulkan-loader
                   wayland))
-    (home-page "https://git.sr.ht/~bl4ckb0ne/wxrc")
+    (home-page "https://github.com/nowrep/obs-vkcapture")
     (synopsis "OBS plugin for Vulkan/OpenGL game capture on Linux")
     (description "This OBS plugin lets you record an OpenGL or Vulkan
 game by adding the Game Capture source to your scene and starting an

base-commit: 2491a60404b69da20c2b4fd952e5d5e326374d1d
prerequisite-patch-id: 98a2f9b73a587d39782a5f393616331d629b87bf
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60995; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jan 2023 20:58:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 15:58:34 2023
Received: from localhost ([127.0.0.1]:49934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJKwZ-00019t-PR
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 15:58:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:35960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oj@HIDDEN>) id 1pJKEa-00064q-Su
 for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 15:13:05 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <oj@HIDDEN>) id 1pJKEa-0005Yb-NT
 for guix-patches@HIDDEN; Sat, 21 Jan 2023 15:13:04 -0500
Received: from mail.vern.cc ([5.161.108.85])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <oj@HIDDEN>) id 1pJKEU-0006dR-7l
 for guix-patches@HIDDEN; Sat, 21 Jan 2023 15:13:03 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.vern.cc (Postfix) with ESMTP id 175659F8D8;
 Sat, 21 Jan 2023 20:12:54 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=vern.cc; s=modoboa;
 t=1674331974; bh=/7T6Grr2Yt7fpPquyjvJPap1slO2fINyEVTGviSXKHw=;
 h=From:To:Cc:Subject:Date:From;
 b=vsbL1n9nbmJpceiNFN3thcS3Qikbm/eJ/SpNRfPXuwEGO6QpHzu67MpPhc8zFOE8M
 aZMHddyzxe2WpE30fokNP/1rIKXkRUskIrnC2hWt8019FmOnUiGYMpMl77BSRZy3wY
 KJ09rlNJyh1a45ZY/sNL/vC2YYboIYy2qA1z7QMlunZfeUtXnM2/BwI7Wu5/ndZVUg
 78lHvVLmgSQ5ZHf5+Z+WcofcJdvbG7s/9nzv+FLObXQk6dFU/l6yIDTRDSD3cXG+qv
 yQf0Vw/tdCn1lsJ+SePsRm7BQqmvKb11tlwrrIrFIM33SbdIW2oRjl1FVMu8QCx9Hf
 Imop+KrD6rJGmiaPzBaTV5kPvNLJkB/ibstw0jQRrfGAkv1A3wVZLpMrW1mEhBl2sv
 IBwAXw6rObmP+DL+NJdyANIFOCPep77l71ubaL5ypxwEkslgBDDtmqehN5U823MMW5
 d3RPov9nWVFCmsuN94+OHhOhkDjcSCn0ysfRnnIM8N0wjH2rUdtf0RDh72FMKl1q72
 vUP2F6B+QWdG/Dav7Y7/t7O1xsy/C+NdULQF96Zyc2WP+gKzaewUgVIM6qkl8oHdq6
 OHlauUAhKSiztqXWRetVf0RQ7/n1ZGVJcAIpzdMNwc/FuA+AriIhmeKbO6dx7vr1WT
 Hnic53iy7s+MRbkQ67BV9DtE=
X-Virus-Scanned: Debian amavisd-new at mail.vern.cc
Received: from mail.vern.cc ([127.0.0.1])
 by localhost (mail.vern.cc [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id gT_gkeAhdUmL; Sat, 21 Jan 2023 20:12:51 +0000 (UTC)
Received: from localhost.localdomain (unknown [10.7.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: oj@HIDDEN)
 by mail.vern.cc (Postfix) with ESMTPSA;
 Sat, 21 Jan 2023 20:12:51 +0000 (UTC)
From: Ott <oj@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add obs-vkcapture.
Date: Sat, 21 Jan 2023 22:12:38 +0200
Message-Id: <659e7f4b486896bf22c7776d312aa5c2e2f67006.1674331950.git.oj@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=5.161.108.85; envelope-from=oj@HIDDEN;
 helo=mail.vern.cc
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 21 Jan 2023 15:58:31 -0500
Cc: Ott Joon <oj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Ott Joon <oj@HIDDEN>

* gnu/packages/video.scm (obs-vkcapture): New variable.
---
 gnu/packages/video.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index 60d39c38dc..76b7af0b8d 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -63,6 +63,7 @@
 ;;; Copyright © 2022 Jai Vetrivelan <jaivetrivelan@HIDDEN>
 ;;; Copyright © 2022 Chadwain Holness <chadwainholness@HIDDEN>
 ;;; Copyright © 2022 Andy Tai <atai@HIDDEN>
+;;; Copyright © 2023 Ott Joon <oj@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -3571,6 +3572,37 @@ (define-public obs-wlrobs
 Wayland compositors.")
     (license license:gpl3+)))
 
+(define-public obs-vkcapture
+  (package
+    (name "obs-vkcapture")
+    (version "1.3.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/nowrep/obs-vkcapture")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "18v15bfzm31qkpwipvbqgzak4z6f2hhq6mnz2bvhwnv57whirln6"))))
+    (build-system cmake-build-system)
+    (arguments '(#:tests? #f))
+    (native-inputs (list pkg-config))
+    (inputs (list mesa
+                  obs
+                  libx11
+                  libxcb
+                  vulkan-headers
+                  vulkan-loader
+                  wayland))
+    (home-page "https://git.sr.ht/~bl4ckb0ne/wxrc")
+    (synopsis "OBS plugin for Vulkan/OpenGL game capture on Linux")
+    (description "This OBS plugin lets you record an OpenGL or Vulkan
+game by adding the Game Capture source to your scene and starting an
+application with @code{obs-gamecapture}.")
+    (license license:gpl2)))
+
 (define-public libvdpau
   (package
     (name "libvdpau")

base-commit: 2491a60404b69da20c2b4fd952e5d5e326374d1d
-- 
2.38.1





Acknowledgement sent to Ott <oj@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60995; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Feb 2023 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.